=== removed file 'Makefile'
--- Makefile	2012-01-11 08:06:03 +0000
+++ Makefile	1970-01-01 00:00:00 +0000
@@ -1,4 +0,0 @@
-check:
-	python -m unittest grackle.tests.test_client
-
-.PHONY: check

=== modified file 'README.txt'
--- README.txt	2012-01-10 11:16:56 +0000
+++ README.txt	2012-01-10 10:46:26 +0000
@@ -2,5 +2,3 @@
 
 To propose changes, please upload a branch to Launchpad and propose a merge
 into lp:grackle.  Code should follow PEP8.
-
-To run the tests, run "make check".

=== modified file 'grackle/client.py'
--- grackle/client.py	2012-01-11 14:04:41 +0000
+++ grackle/client.py	2012-01-10 11:06:36 +0000
@@ -1,50 +1,2 @@
-import httplib
-import simplejson
-from urlparse import urlunparse
-from urllib import (
-    quote,
-    urlencode,
-)
-
-
-
-class GrackleClient:
-
-    def __init__(self, host, port):
-        self.host = host
-        self.port = port
-        self.netloc = '%s:%d' % (host, port)
-
-    def archive_url(self, archive_name, query):
-        path = '/%s' % quote(archive_name)
-        query_string = urlencode(query)
-        return urlunparse(('http', self.netloc, path, '', query_string, ''))
-
-    def _get_connection(self):
-        return httplib.HTTPConnection(self.host, self.port)
-
-    def _verb_archive(self, verb, archive_name, query, body=None):
-        url = self.archive_url(archive_name, query)
-        connection = self._get_connection()
-        connection.request(verb, url, body)
-        return connection.getresponse()
-
-    def put_message(self, archive_name, key, file_obj):
-        response = self._verb_archive(
-            'POST', archive_name, {'key': key}, file_obj.read())
-        data = response.read()
-        if response.status == httplib.BAD_REQUEST:
-            raise Exception('wtf')
-        elif response.status == httplib.CREATED:
-            return
-        else:
-            raise Exception('!!')
-
-    def get_messages(self, archive_name, message_ids=None):
-        parameters = {}
-        if message_ids is not None:
-            parameters['message_ids'] = message_ids
-        query = {'parameters': simplejson.dumps(parameters)}
-        response = self._verb_archive('GET', archive_name, query)
-        data = response.read()
-        return simplejson.loads(data)
+def put_message(archive_name, fileobj):
+    pass

=== removed directory 'grackle/tests'
=== removed file 'grackle/tests/__init__.py'
=== removed file 'grackle/tests/test_client.py'
--- grackle/tests/test_client.py	2012-01-11 14:04:41 +0000
+++ grackle/tests/test_client.py	1970-01-01 00:00:00 +0000
@@ -1,111 +0,0 @@
-from BaseHTTPServer import (
-    HTTPServer,
-    BaseHTTPRequestHandler,
-    )
-import httplib
-import os
-from signal import SIGKILL
-import simplejson
-from StringIO import StringIO
-from unittest import TestCase
-from urlparse import urlparse
-from urlparse import parse_qs
-
-from testtools import ExpectedException
-
-from grackle.client import (
-    GrackleClient,
-    )
-
-
-class ForkedFake:
-
-    def __init__(self, port, messages=None):
-        self.pid = None
-        self.port = port
-        self.messages = messages
-        self.read_end, self.write_end = os.pipe()
-
-    def is_ready(self):
-        os.write(self.write_end, 'asdf')
-
-    def __enter__(self):
-        pid = os.fork()
-        if pid == 0:
-            self.start_server()
-        self.pid = pid
-        os.read(self.read_end, 1)
-        return
-
-    def start_server(self):
-        service = HTTPServer(('', self.port), FakeGrackleRequestHandler)
-        service.messages = self.messages
-        self.is_ready()
-        service.serve_forever()
-
-    def __exit__(self, exc_type, exc_val, traceback):
-        os.kill(self.pid, SIGKILL)
-
-
-class FakeGrackleRequestHandler(BaseHTTPRequestHandler):
-
-    def do_POST(self):
-        message = self.rfile.read(int(self.headers['content-length']))
-        if message == 'This is a message':
-            self.send_response(httplib.CREATED)
-            self.end_headers()
-            self.wfile.close()
-        else:
-            self.send_error(httplib.BAD_REQUEST)
-
-    def do_GET(self):
-        scheme, netloc, path, params, query_string, fragments = (
-            urlparse(self.path))
-        archive = os.path.split(path)[1]
-        query = parse_qs(query_string)
-        parameters = simplejson.loads(query['parameters'][0])
-        self.send_response(httplib.OK)
-        self.end_headers()
-        messages = [m for m in self.server.messages[archive] if 'message_ids'
-                    not in parameters or m['message-id'] in
-                    parameters['message_ids']]
-        self.wfile.write(simplejson.dumps(messages))
-
-
-def fake_grackle_service(client, messages=None):
-    if messages is None:
-        messages = {}
-    return ForkedFake(client.port, messages)
-
-
-class TestPutMessage(TestCase):
-
-    def test_put_message(self):
-        client = GrackleClient('localhost', 8436)
-        with fake_grackle_service(client):
-            client.put_message('arch1', 'asdf', StringIO('This is a message'))
-            with ExpectedException(Exception, 'wtf'):
-                client.put_message('arch1', 'asdf',
-                    StringIO('This is not a message'))
-
-
-class TestGetMessages(TestCase):
-
-    def test_get_messages(self):
-        client = GrackleClient('localhost', 8435)
-        with fake_grackle_service(client,
-            {'baz':
-            [{'message-id': 'foo'},
-             {'message-id': 'bar'}]}):
-            response = client.get_messages('baz')
-        self.assertEqual(['bar', 'foo'], sorted(m['message-id'] for m in
-            response))
-
-    def test_get_messages_by_id(self):
-        client = GrackleClient('localhost', 8437)
-        with fake_grackle_service(client,
-            {'baz':
-            [{'message-id': 'foo'},
-             {'message-id': 'bar'}]}):
-            message, = client.get_messages('baz', message_ids=['foo'])
-        self.assertEqual('foo', message['message-id'])

